Page 1 of 1

Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Mon Jul 07, 2014 5:15 pm
by cbaker_admin
If you are running CLEO 6.0 and are getting a message about the wrong version of FEBE installed, I've got a fix.

CLEO 6.0.2 has the option to turn off the check for FEBE on startup. When (or if) the message box appears, there is an option to "Check for FEBE on startup". Unchecking this box will force CLEO to avoid the version checking. If the version checking is off and you do not have the correct version of FEBE installed, CLEO will simply not work correctly (or at all).

Image

If the version checking is off and you would like to turn it on again, change the preference extensions.cleo.checkforFEBE to true in about:config.

The problem seems to occur when CLEO is trying to get information about FEBE. I've run into this problem before (i.e., when older FEBE versions would display a message about not being able to load extension data). Firefox's AddonManager.jsm routines run asynchronously and don't always return results in a timely manner. Sometimes it does, other times it doesn't. I cannot duplicate the issue so it is hard to debug. This fix just eliminates the checking all together.

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Fri Jul 11, 2014 7:28 am
by clint59
Hi Chuck,

When I click on the link to download Cleo 6.0.1 it downloads Cleo 6.0 BETA and then when I run the CHECK FOR EXTENSION UPDATES in Firefox it downloads Cleo 6.0 sooooooooooooo.....WHERE IS 6.0.1 at??? I keep getting the Cleo message mentioned above and I can only get rid of it by reinstalling FEBE 8.0.4. .......I'm running Firefox Version 28

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Fri Jul 11, 2014 9:26 am
by cbaker_admin
Strange. I uploaded all the files again and tested the links. Works for me. Please try the link at the top of this page again and let me know.

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Fri Jul 11, 2014 12:14 pm
by clint59
Whatever you did Chuck fixed it! Just downloaded and installed and now showing version 6.0.1.....Thanks!!!

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Tue Jul 22, 2014 6:09 pm
by europanorama
Searching again for FEBE, after FF reset only CLEO 6 is offered. Strange isnt it?

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Sun Jul 27, 2014 11:36 am
by europanorama
How to get rid of that window forever? False version FEBE. we have the newest only old version cleo is installed, new one seems not to be saved. Is it telling this until you have an update? Why should i know that?

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Sun Jul 27, 2014 12:53 pm
by cbaker_admin
If you have CLEO v6.0.1 installed and it finds a problem with the FEBE installation, you should get a popup window:

Image

If you are certain that you have the proper FEBE version installed, simply uncheck the "Check for FEBE on startup box.

You may also set the preference extensions.cleo.checkforFEBE to false in about:config.

Re: Fix for CLEO 6.0 (msg about wrong FEBE installed)

PostPosted: Tue Nov 24, 2015 6:09 pm
by europanorama
Most probably sometimes the checkbos was hidden.
But the biggest problem are the multiple add-on-windows opened up after every FF-update all the time when opening FF. and FF-settings are gone. Only FF reset can cure that. Very annoying.